The BOOST_PP_SEQ_REVERSE macro reverses a seq.

#### Usage

BOOST_PP_SEQ_REVERSE(seq)

#### Arguments

seq
  The seq to be reversed.

#### Remarks

For maximum efficiency, use BOOST_PP_SEQ_REVERSE_S.

#### See Also

- BOOST_PP_SEQ_REVERSE_S

#### Requirements

Header: <boost/preprocessor/seq/reverse.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/reverse.hpp>

    #define SEQ (1)(2)(3)

    BOOST_PP_SEQ_REVERSE(SEQ) // expands to (3)(2)(1)

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)